<?php

class Manage_admin extends Controller {

	function Manage_admin()
	{
		parent::Controller();

		$this->load->model('manage_admin_m');
		$this->load->library('pagination');
		//start session
		session_name(SESS_NAME);
		session_start();
		if(!empty($_SESSION['admin_id'])&&$_SESSION['role']=='Admin')
		{
			$this->USER_ID = $_SESSION['admin_id'];
		}
		else
		{
			redirect_ci("admin/login");
		}

	}

	function index_new()
	{
		$_SESSION['order_by']="";
		$_SESSION['order']="";
		redirect_ci("manage_admin/index");
	}

	function index($page_from=0)
	{

		$data['title']="Admin Management";
		$config['base_url'] = site_url('manage_admin/index');
		$config['total_rows'] = $this->manage_admin_m->get_admin_count();
		$config['per_page']   = ADMIN_LISTING;
		$config['uri_segment'] = 3;
		$this->pagination->initialize($config);
		$data['pagination']= $this->pagination->create_links();
		if($this->input->post('admin')==1)
		{
			$_SESSION['order_by']=$this->input->post('sort_name');
			$_SESSION['order']=$this->input->post('order');
		}
		$data['results']=$this->manage_admin_m->get_admin_list($page_from,ADMIN_LISTING,$_SESSION['order_by'],$_SESSION['order']);
		$this->load->view('admin/manage_admin/index',$data);

	}


	function add_admin()
	{

		$data['admin_id']="0";
		$this->load->view('admin/manage_admin/manage_admin',$data);

	}

	function edit_admin($admin_id)
	{

		$data=$this->manage_admin_m->get_admin_info($admin_id);

		$data['title']="Edit Admin";
		$this->load->view('admin/manage_admin/manage_admin',$data);

	}

	function delete_admin($admin_id)
	{

		$result=$this->manage_admin_m->delete_admin($admin_id);
		if($result==1)
		{

			echo 'true';
		}
		elseif($result==2)
		{
			echo 'false';
		}
		else
		{
			echo 'exist';
		}


	}

	function manage_admin_action()
	{
		$id=$this->input->post('admin_id');
		$window_id=$this->input->post('window_id');


		if($this->input->post('admin_name')!='')
		{


			$data = array(
			'admin_id'    => $this->input->post('admin_id'),
			'admin_name' => $this->input->post('admin_name'),
			'admin_password' => $this->input->post('admin_password'),
			'account_status' => $this->input->post('account_status')
			);
			$result=$this->manage_admin_m->save_admin($data);


			$script = "top.edmSubmitComplete();";
			$this->_print_js_to_iframe($script);
		}
		else
		{
			echo 'empty';
		}
	}

	function _print_js_to_iframe($script){
		$result = "<script type='text/javascript'>{$script}</script>";
		print($result);
	}



}
?>