<?php

class Manage_country extends Controller {

    function Manage_country()
    {
        parent::Controller();

        $this->load->model('manage_country_m');
        //start session
        session_name(SESS_NAME);
        session_start();
        if(!empty($_SESSION['admin_id']))
		{
			$this->USER_ID = $_SESSION['admin_id'];
		}
		else
		{
			redirect_ci("admin/login");
		}

    }

    function index()
    {

        $data['title']="Country Management";
        $this->load->view('admin/manage_country/index',$data);
    }

    function list_countrys()
    {

        $data['title']="Country Management";
        
        $this->load->view('admin/manage_country/list_countrys',$data);
    }

    function get_countrys_list_json($zone_id)
    {
        $users=$this->manage_country_m->get_countrys_list();
        $cnt=0;
        foreach($users as $user)
        {
            $user['edit']='<img src="'.base_url().'_system/application/views/im/edit.png">';
            $user['delete']='<img src="'.base_url().'_system/application/views/im/delete.png">';
            $nusers[$cnt]=$user;
            $cnt++;
        }
        $jsonresult=array2json($nusers);
        echo $jsonresult;
    }

    function add_country($window_id)
    {
        $data['country_id']="0";
        $data['window_id']=$window_id;
        $this->load->view('admin/manage_country/manage_country',$data);
    }
    
    function edit_country($window_id,$country_id)
    {
        $data=$this->manage_country_m->get_country_info($country_id);
        $data['window_id']=$window_id;
        $this->load->view('admin/manage_country/manage_country',$data);
    }
    
    function delete_country($country_id)
    {
        $result=$this->manage_country_m->delete_country($country_id);
        if($result==1)
		{

			echo 'true';
		}
		elseif($result==2)
		{
			echo 'false';
		}
		else
		{
			echo 'exist';
		}
        
    }

    function manage_country_action()
    {
        if($this->input->post('countryname')!='')
        {
            $data = array(
            'country_id'    => $this->input->post('country_id'),
            'countryname' => $this->input->post('countryname'),
            'country_priority' => $this->input->post('country_priority')
            );
            $result=$this->manage_country_m->save_country($data);
            if($result == true)
            {
                echo 'true';
            }
            else
            {
                echo 'false';
            }
        }
        else
        {
            echo 'empty';
        }
    }


}
?>