<?php

class Manage_site extends Controller {

	function Manage_site()
	{
		parent::Controller();

		$this->load->model('manage_site_m');
		//start session
		session_name(SESS_NAME);
		session_start();
		$this->load->library('image_lib');
		if(!empty($_SESSION['admin_id'])&&$_SESSION['role']=='Admin')
		{
			$this->USER_ID = $_SESSION['admin_id'];
		}
		else
		{
			redirect_ci("admin/login");
		}

	}
	
	function index()
	{
		$data['title']="Site Management";
		$this->load->view('admin/manage_site/index',$data);
	}

	function about()
	{
		$data=$this->manage_site_m->get_site_information('about');
		$data['title']="Site Management - About";
		$data['section']='about';
		$this->load->view('admin/manage_site/section',$data);
	}
	
	function faq()
	{
		$data=$this->manage_site_m->get_site_information('faq');
		$data['title']="Site Management - FAQ";
		$data['section']='faq';
		$this->load->view('admin/manage_site/section',$data);
	}
	
	function tnc()
	{
		$data=$this->manage_site_m->get_site_information('tnc');
		$data['title']="Site Management - Terms & Conditions";
		$data['section']='tnc';
		$this->load->view('admin/manage_site/section',$data);
	}
	
	function privacy()
	{
		$data=$this->manage_site_m->get_site_information('privacy');
		$data['title']="Site Management - Privacy";
		$data['section']='privacy';
		$this->load->view('admin/manage_site/section',$data);
	}

	function manage_site_action()
	{
		
			$data['content_type']=$this->input->post('section');
			$data['details']=$this->input->post('details');
			$result=$this->manage_site_m->save_site($data);
			
			redirect_ci('manage_site/index');
	}


}
?>