<?php

class Manage_admin_m extends Model
{
	function Manage_admin_m()
	{
		parent::Model();
	}

	/**
     * Get admin list
     *
     * @param   int  $admin_id
     * 
     * @return  string  role
     */
	function get_admin_list($start=0,$limit=ADMIN_LISTING,$order_by="",$order="DESC",$status='')
	{
		if($order_by=="")
		{
			$order_by="admin_name";
		}
		if($order=="")
		{
			$order="ASC";
		}
		if($status!="")
		{
			$status_statement="WHERE admin_status='$status'";
		}
		$sql = "SELECT admin.* FROM admin $status_statement ORDER BY $order_by $order LIMIT $start,$limit";
		$query = $this->db->query($sql);
		if($query->num_rows() > 0)
		{
			$result   = $query->result_array();
			return $result;
		}
		else
		{
			return false;
		}
	}

	function get_admin_all($order_by="",$order="DESC")
	{
		if($order_by=="")
		{
			$order_by="admin_name";
		}
		if($order=="")
		{
			$order="ASC";
		}
		$sql = "SELECT admin.* FROM admin ORDER BY $order_by $order";
		$query = $this->db->query($sql);
		if($query->num_rows() > 0)
		{
			$result   = $query->result_array();
			return $result;
		}
		else
		{
			return false;
		}
	}

	function get_admin_count($status='')
	{
		if($status=="")
		{
			$where="";
		}
		else
		{
			$where="WHERE admin_status='$status'";
		}
		$sql = "SELECT COUNT(admin_id) as counter FROM admin $where ";
		$query = $this->db->query($sql);
		if($query->num_rows() > 0)
		{
			$row   = $query->row_array();
			return $row['counter'];
		}
		else
		{
			return false;
		}
	}

	function save_admin($data)
	{

		if($data['admin_id']==0)
		{
			$result = $this->db->insert('admin', $data);
			if($result == 1)
			{
				return $this->db->insert_id();
			}
			else
			{
				return false;
			}
		}
		else
		{
			$this->db->where('admin_id', $data['admin_id']);
			$result = $this->db->update('admin', $data);
			if($result == 1)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

	}

	/**
     * Get admin info
     *
     * @param   int  $admin_id
     * 
     * @return  array  $row
     */
	function get_admin_info($admin_id)
	{
		$sql = "SELECT * ".
		"FROM   admin ".
		"WHERE  admin_id = '$admin_id'";
		$query = $this->db->query($sql);
		if($query->num_rows() > 0)
		{
			$row   = $query->row_array();
			return $row;
		}
		else
		{
			return false;
		}
	}

	/**
     * Delete Admin
     *
     * @param   int  $admin_id
     * 
     * @return  boolean  $result
     */
	function delete_admin($admin_id)
	{
		if($this->_check_admin_delete($admin_id)==false)
		{
			$sql = "DELETE ".
			"FROM   admin ".
			"WHERE  admin_id = '$admin_id'";
			$query = $this->db->query($sql);
			if($query ==1)
			{
				return 1;
			}
			else
			{
				return 2;
			}
		}
		else
		{

			return 3;
		}
	}

	function _check_admin_delete($admin_id)
	{
		if($_SESSION['admin_id'] == $admin_id)
		{
			return true;
		}
		else
		{
			return false;
		}
	}



}
?>