<?php

class Admin extends Controller {

	function Admin()
	{
		parent::Controller();
		$this->load->model('admin_m');
		//start session
		session_name(SESS_NAME);
		session_start();
		if(!empty($_SESSION['admin_id']))
		{
			$this->USER_ID = $_SESSION['admin_id'];
		}
		else
		{
			$this->USER_ID = false;
		}

	}

	function index()
	{

		//not logged in, redirect
		if($this->USER_ID == false)
		{
			redirect_ci("admin/login");

		}

		$data['title']="Welcome Administrator";
		$this->load->view('admin/index',$data);
	}

	function login()
	{
		$data['title']="Administrator Login";
		$this->load->view('admin/login',$data);
	}

	function login_action()
	{
		if($this->input->post('username')==''||$this->input->post('pass')=='')
		{
			redirect_ci('admin/login/empty');

		}
		else
		{
			$user=$this->admin_m->login($this->db->escape_str($this->input->post('username')),$this->db->escape_str($this->input->post('pass')));
			if($user!=false)
			{
				if($user['role']=='Admin')
				{
					$_SESSION['admin_id']=$user['admin_id'];
					$_SESSION['role']=$user['role'];
				}
				redirect_ci('admin/index');
			}
			else
			{
				redirect_ci('admin/login/error');
			}
		}
	}

	function logout()
	{
		session_start();
		session_destroy();
		redirect_ci("admin/login");
	}

}
?>