<?php

class Manage_country_m extends Model
{
    function Manage_country_m()
    {
        parent::Model();
    }

    /**
     * Get country list
     *
     * @param   int  $country_id
     * 
     * @return  string  role
     */
    function get_countrys_list()
    {
        $sql = "SELECT country_id,countryname,country_priority FROM country $where ORDER BY country_priority DESC,countryname";
        //print $sql;
        $query = $this->db->query($sql);
        if($query->num_rows() > 0)
        {
            $result   = $query->result_array();
            return $result;
        }
        else
        {
            return false;
        }
    }
    
    function get_country_common_list()
    {
        $sql = "SELECT country_id,countryname,priority FROM country_list ORDER BY priority DESC,countryname";
        //print $sql;
        $query = $this->db->query($sql);
        if($query->num_rows() > 0)
        {
            $result   = $query->result_array();
            return $result;
        }
        else
        {
            return false;
        }
    }

    function save_country($data)
    {
        if($this->_check_country($data)==true)
        {
            if($data['country_id']==0)
            {
                $result = $this->db->insert('country', $data);
                if($result == 1)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            else
            {
                $this->db->where('country_id', $data['country_id']);
                $result = $this->db->update('country', $data);
                if($result == 1)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
        }
        else
        {
            return false;
        }
    }

    function _check_country($data)
    {
        if($data['country_id']==0)
        {
            $sql = "SELECT countryname ".
            "FROM   country ".
            "WHERE  countryname = '".addslashes($data['countryname'])."'";
            $query = $this->db->query($sql);
            if($query->num_rows() > 0)
            {
                return false;
            }
            else
            {
                return true;
            }
        }
        else
        {
            $sql = "SELECT countryname ".
            "FROM   country ".
            "WHERE  countryname = '".addslashes($data['countryname'])."' AND country_id!='".$data['country_id']."'";
            $query = $this->db->query($sql);
            if($query->num_rows() > 0)
            {
                return false;
            }
            else
            {
                return true;
            }
        }
    }

    /**
     * Get country info
     *
     * @param   int  $country_id
     * 
     * @return  array  $row
     */
    function get_country_info($country_id)
    {
        $sql = "SELECT * ".
        "FROM   country ".
        "WHERE  country_id = '$country_id'";
        $query = $this->db->query($sql);
        if($query->num_rows() > 0)
        {
            $row   = $query->row_array();
            return $row;
        }
        else
        {
            return false;
        }
    }

    /**
     * Delete Admin
     *
     * @param   int  $country_id
     * 
     * @return  boolean  $result
     */
    function delete_country($country_id)
    {
        if($this->_check_country_delete($country_id)==false)
		{
			$sql = "DELETE ".
			"FROM   country ".
			"WHERE  country_id = '$country_id'";
			$query = $this->db->query($sql);
			if($query ==1)
			{
				return 1;
			}
			else
			{
				return 2;
			}
		}
		else
		{

			return 3;
		}
    }
    
    function _check_country_delete($country_id)
	{
		$sql = "SELECT country_id ".
		"FROM   office ".
		"WHERE  country_id = '".$country_id."'";
		$query = $this->db->query($sql);
		if($query->num_rows() > 0)
		{
			return true;
		}
		else
		{
			return false;
		}
	}



}
?>