<?php

class Manage_office_m extends Model
{
	function Manage_office_m()
	{
		parent::Model();
	}

	/**
     * Get office list
     *
     * @param   int  $office_id
     * 
     * @return  string  role
     */
	function get_office_list($start=0,$limit=ADMIN_LISTING,$order_by="",$order="DESC",$search_params)
	{
		if($order_by=="")
		{
			$order_by="office_name";
		}
		if($order=="")
		{
			$order="ASC";
		}
		foreach($search_params as $key=>$value)
		{
			if($value!='')
			{
				if($key=='office.country_id'&&$value==0)
				{

				}
				else
				{
					if($key=='office.country_id')
					{
						$search_statement.="AND $key LIKE '$value' ";
					}
					else 
					{
						$search_statement.="AND $key LIKE '%$value%' ";
					}
					
				}
			}
		}
		$sql = "SELECT * FROM office LEFT JOIN country ON office.country_id= country.country_id WHERE 1 $search_statement ORDER BY $order_by $order LIMIT $start,$limit";
		$query = $this->db->query($sql);
		if($query->num_rows() > 0)
		{
			$result   = $query->result_array();
			return $result;
		}
		else
		{
			return false;
		}
	}

	function get_office_all($order_by="",$order="DESC",$search_params)
	{
		if($order_by=="")
		{
			$order_by="office_name";
		}
		if($order=="")
		{
			$order="ASC";
		}
		foreach($search_params as $key=>$value)
		{
			if($value!='')
			{
				if($key=='office.country_id'&&$value==0)
				{

				}
				else
				{
					$search_statement.="AND $key LIKE '%$value%' ";
				}
			}
		}
		$sql = "SELECT * FROM office LEFT JOIN country ON office.country_id= country.country_id WHERE 1 $search_statement ORDER BY $order_by $order";
		$query = $this->db->query($sql);
		if($query->num_rows() > 0)
		{
			$result   = $query->result_array();
			return $result;
		}
		else
		{
			return false;
		}
	}

	function get_office_count($search_params)
	{
		foreach($search_params as $key=>$value)
		{
			if($value!='')
			{
				if($key=='office.country_id'&&$value==0)
				{
					
				}
				else
				{
					if($key=='office.country_id')
					{
						$search_statement.="AND $key LIKE '$value' ";
					}
					else 
					{
						$search_statement.="AND $key LIKE '%$value%' ";
					}
					
				}
			}
		}
		$sql = "SELECT COUNT(office.office_id) as counter FROM office LEFT JOIN country ON office.country_id= country.country_id WHERE 1 $search_statement";
		$query = $this->db->query($sql);
		print $sql;
		if($query->num_rows() > 0)
		{
			$row   = $query->row_array();
			return $row['counter'];
		}
		else
		{
			return false;
		}
	}

	function save_office($data)
	{

		if($data['office_id']==0)
		{
			$result = $this->db->insert('office', $data);
			if($result == 1)
			{
				return $this->db->insert_id();
			}
			else
			{
				return false;
			}
		}
		else
		{
			$this->db->where('office_id', $data['office_id']);
			$result = $this->db->update('office', $data);
			if($result == 1)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

	}

	/**
     * Get office info
     *
     * @param   int  $office_id
     * 
     * @return  array  $row
     */
	function get_office_info($office_id)
	{
		$sql = "SELECT * ".
		"FROM   office LEFT JOIN country ON office.country_id= country.country_id ".
		"WHERE  office_id = '$office_id'";
		$query = $this->db->query($sql);
		if($query->num_rows() > 0)
		{
			$row   = $query->row_array();
			return $row;
		}
		else
		{
			return false;
		}
	}

	function delete_office($office_id)
	{
		$sql = "DELETE ".
		"FROM   office ".
		"WHERE  office_id = '$office_id'";
		$query = $this->db->query($sql);
		if($query ==1)
		{
			return 1;
		}
		else
		{
			return 2;
		}
	}

	function insert_office_item($office_id,$file_details)
	{
		$data['office_id']=$office_id;
		$data['image_path']=$file_details;
		$data['default_image']='No';
		$result = $this->db->insert('office_image', $data);
	}

	function set_default_image($office_id,$data)
	{
		$this->db->where('office_id', $office_id);
		$office_updates['default_image']='No';
		$result = $this->db->update('office_image', $office_updates);


		$this->db->where('office_image_id', $data['office_image_id']);
		$result = $this->db->update('office_image', $data);
	}

	function get_office_item($office_id,$file_details)
	{
		$sql = "SELECT * FROM office_image WHERE office_id=$office_id ORDER BY image_path ASC";
		$query = $this->db->query($sql);
		if($query->num_rows() > 0)
		{
			$result   = $query->result_array();
			return $result;
		}
		else
		{
			return false;
		}
	}

	function delete_office_item($item_id,$office_id)
	{
		$sql = "SELECT * ".
		"FROM   office_image ".
		"WHERE  office_image_id = '$item_id'";
		$query = $this->db->query($sql);
		if($query->num_rows() > 0)
		{
			$item   = $query->row_array();
		}
		unlink('./office_files/'.$office_id.'/'.$item['image_path']);
		unlink('./office_files/'.$office_id.'/thumb_'.$item['image_path']);
		$sql = "DELETE ".
		"FROM   office_image ".
		"WHERE  office_image_id = '$item_id'";
		$query = $this->db->query($sql);
	}


}
?>