<?=$this->load->view('admin/header')?>
<?=$this->load->view('admin/sidebar')?>
<div id="main_content">
<b>Country Management</b>
<br />
<script type='text/javascript'>
var url='<?=site_url('manage_country/get_countrys_list_json')?>';
var headers = [{"text":"ID","key":"country_id","fixedWidth":true,"defaultWidth":"30px"},{"text":"Country Name","key":"countryname","defaultWidth":"300px"},{"text":"Country Priority","key":"country_priority","defaultWidth":"100px"},{"text":"Edit","key":"edit","fixedWidth":true,"defaultWidth":"50px"},{"text":"Delete","key":"delete","fixedWidth":true,"defaultWidth":"50px"}];
Window.onDomReady( function(){


	var myAjax = new Ajax(url, {method: 'get',onComplete: function ( resp ){
		if(resp!='')
		{
			data=Json.evaluate(resp);
			newMootable('listing_table',headers,data);
		}
		else
		{
			newMootable('listing_table',headers);
		}
	}});
	myAjax.request();

});

function refreshCountryTable(){
	var myAjax = new Ajax(url, {method: 'get',onComplete: function ( resp ){
		if(resp!='')
		{
			data=Json.evaluate(resp);
			newMootable('listing_table',headers,data);
		}
		else
		{
			newMootable('listing_table',headers);
		}
	}});
	myAjax.request();
}


function newMootable(div_name,headers,data)
{
	$(div_name).innerHTML='';
	mootable = new MooTable( div_name, {debug: false, height: '300px', headers: headers, sortable: true, useloading: true, resizable: false});
	mootable.addEvent( 'afterRow', function(data, row){
		//debug.log( row );
		//row.cols[0].element.innerHTML = ( data.admin_id);
		row.cols[3].element.setStyle('cursor', 'pointer');
		row.cols[3].element.addEvent( 'click', editCountry.bind(row) );
		row.cols[4].element.setStyle('cursor', 'pointer');
		row.cols[4].element.addEvent( 'click', deleteCountry.bind(row) );
	});
	if(data)
	{
		mootable.loadData( data );
	}
}


function newCountry(){
	//open a new windoo
	var window_index = windows.length;
	windows[window_index] = new Windoo({
		left: 300,
		top: 100,
		title: 'New Country',
		resizeLimit: {'x':[270], 'y':[250]},
		width: 250,
		height: 200,
		theme: Windoo.Themes.aero,
		position: false,
		destroyOnClose: true
	})

	windows[window_index].show();

	//ajax to grab contents of the window
	var url = '<?=site_url('manage_country/add_country')?>'+'/'+window_index;
	new Windoo.Ajax(url, {
		evalScripts: true,
		window: windows[window_index]
	}).request();
}

function editCountry(ev){
	//alert(this.data.admin_id);
	var window_index = windows.length;
	windows[window_index] = new Windoo({
		left: 300,
		top: 100,
		title: 'Edit Country',
		resizeLimit: {'x':[270], 'y':[250]},
		width: 250,
		height: 200,
		theme: Windoo.Themes.aero,
		position: false,
		destroyOnClose: true
	})

	windows[window_index].show();

	//ajax to grab contents of the window
	var url = '<?=site_url('manage_country/edit_country')?>'+'/'+window_index+'/'+this.data.country_id;
	new Windoo.Ajax(url, {
		evalScripts: true,
		window: windows[window_index]
	}).request();
}

function deleteCountry(ev){
	var data_id=this.data.country_id;
	new Windoo.Confirm("<strong>Are you sure you want to delete this Record?</strong>", {
	'window': {
	'resizable': true,
	'title': 'Alert',
	'theme': Windoo.Themes.aero
	},
	'onConfirm': function(){
		var url='<?=site_url('manage_country/delete_country/')?>/'+data_id;
		var myAjax = new Ajax(url, {method: 'get',onComplete: function(result) {
			if(result=='false')
			{
				new Windoo.Alert("<p align='center'>Error In Deleting.</p>", {
				'window': {
				'title': 'Alert',
				'theme': Windoo.Themes.aero
				}
				});
			}
			else if(result=='true')
			{
				new Windoo.Alert("<p align='center'>Country Deleted.</p>", {
				'window': {
				'title': 'Alert',
				'theme': Windoo.Themes.aero
				}
				});
				refreshCountryTable();
			}
			else
			{
				new Windoo.Alert("<p align='center'>Country Already is Tagged to an office. You Cannot Delete This Country</p>", {
				'window': {
				'title': 'Alert',
				'theme': Windoo.Themes.aero
				}
				});
			}
		}});
		myAjax.request();
	}
	});
}


		</script>
		<div id="listing_table"></div>
		<a href="javascript:void(0)" onclick="newCountry();">New Country</a>
</div>
<?=$this->load->view('admin/footer')?>